cURL
curl --request GET \
--url https://api.pricenow.dev/api/orders/{orderId}/ticket-url \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>'import requests
url = "https://api.pricenow.dev/api/orders/{orderId}/ticket-url"
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>'
}
};
fetch('https://api.pricenow.dev/api/orders/{orderId}/ticket-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ticketUrl": "<string>"
}
}orders
Get apiorders ticket url
Get the ticket url for an order. Returns an S3 presigned url to the PDF ticket. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
GET
/
api
/
orders
/
{orderId}
/
ticket-url
cURL
Headers
Language of the response
Available options:
en, de, fr, it Required by shared customer authentication. Ignored for customer order access filtering; access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
Path Parameters
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

